/********************\
|  Copyright 2024,   |
|       Ulysse Cura  |
\********************/

///////////////////////////////////////////////////////////
//                                                       //
//   Classe de base pour tout les composant interactifs. //
//                                                       //
///////////////////////////////////////////////////////////

#ifndef INTERACTABLE_HPP
#define INTERACTABLE_HPP

#include "ECS.hpp"

struct InteractableComponent : public Component {
    virtual void interact() = 0;
};

#endif
