/********************\
|  Copyright 2024,   |
|       Ulysse Cura  |
\********************/

///////////////////////////////////////////////////////
//                                                   //
//   Propriété de nom, sert a l'item d'avoir un nom. //
//                                                   //
///////////////////////////////////////////////////////

#ifndef NAME_HPP
#define NAME_HPP

#include <string>
#include "IP.hpp"

using std::string;

class NameProperty : public Property {
  public:
    NameProperty(const string &name) : m_name(name)
    {}

    string &getName()
    {
        return m_name;
    }

  private:
    string m_name;
};

#endif
